using System;
using System.Numerics;
using System.Diagnostics;


class Program
{


    static void Main()
    {
        var linija = Console.ReadLine().Split();
        BigInteger N = BigInteger.Parse(linija[0]);
        BigInteger M = BigInteger.Parse(linija[1]);
        if (N==1 && M==1)
        {
            Console.WriteLine(1);
            return;
        }
        BigInteger br= (M+N+(M*N)/2-2);
        Console.WriteLine(br);

    }
}